Solved PKG install try to remove new version of MySQL

Vovas

Member

Reaction score: 2
Messages: 52

Hi folks!
I've installed mysql server and client 8 version from packages. After that, I try to install cacti and see this:
Code:
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 39 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        mysql80-server-8.0.14
        mysql80-client-8.0.14

New packages to be INSTALLED:
        libepoll-shim: 0.0.20181229
        wayland: 1.16.0
        mesa-libs: 18.1.9_4
        jbigkit: 2.1_1
        cairo: 1.15.12,2
        tiff: 4.0.10
        giflib: 5.1.4
        libXft: 2.3.2_3
        harfbuzz: 2.3.0
        webp: 1.0.1_1
        pango: 1.42.4_1
        libgd: 2.2.5_1,1
        php72-pdo: 7.2.14
        php72-session: 7.2.14
        php72-xml: 7.2.14
        php72-simplexml: 7.2.14
        php72-ctype: 7.2.14
        php72-posix: 7.2.14
        php72-openssl: 7.2.14
        php72-hash: 7.2.14
        php72-filter: 7.2.14
        php72-sockets: 7.2.14
        php72-ldap: 7.2.14
        php72-snmp: 7.2.14
        php72-gmp: 7.2.14
        php72-gd: 7.2.14
        php72-json: 7.2.14
        php72-gettext: 7.2.14
        rrdtool: 1.7.0_2
        php72-pdo_mysql: 7.2.14
        mysql56-client: 5.6.43
        php72-mbstring: 7.2.14
        php72-zlib: 7.2.14
        cacti: 1.1.38
        perl5.26: 5.26.3

Installed packages to be UPGRADED:
        perl5: 5.26.3 -> 5.28.1

Installed packages to be REINSTALLED:
        pkg-1.10.5_5
How to use mysql8 instead mysdl56?
/etc/make.conf
Code:
.if ${.CURDIR} == ${PORTSDIR}/databases/mysql80-*
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,057
Messages: 29,199

Package dependencies are "set in stone" and cannot be changed once the package has been created. The default version is MySQL 5.6 so everything will be built against that.

The only way to deviate from the defaults is by building from ports. To prevent lots of mismatches and conflicting depedencies packages and ports should not be be mixed (unless you know what you are doing but then you wouldn't be asking these questions).
 
Top